# 文件夹说明

### 【PV文件夹】
- 分为了**两个运行代码**（pv_total2.py和pv_total3.py），查看说明.txt文件。


#### **pv_total2.py**

- **输入参数**：
  - 请输入纬度（-90 到 90，例如 39.9042）：39
  - 请输入经度（-180 到 180，例如 116.4074）：116
  - 组件名称：TWMND-72HD580
  - 电价：0.6 元/kWh
  - 光伏支架：固定式
  - 是否优化倾角和方位角：是
- **输出结果**：
  - 组件名称：TWMND-72HD580
  - 倾角：24.59° | 方位角：60.00°
  - 阵列间距：5.56 米
  - 单个组件最大功率（Wp）：580
  - 装机容量：696.00 kW
  - 峰值日照小时数：3.99 小时/天
  - 一天单个组件发电量：2 kWh
  - 年发电量：810,000 kWh
  - 等效小时数：1164 小时
  - **环境收益**：
    - 标准煤减排量：3 kg
    - CO₂减排量：8 kg
    - SO₂减排量：0 kg
    - NOx减排量：0 kg
  - 内部收益率 IRR：22.39%

#### **pv_total3.py**
- **输入参数**：
  - 请输入纬度（-90 到 90，例如 39.9042）：39
  - 请输入经度（-180 到 180，例如 116.4074）：116
  - 组件名称：TWMND-72HD580
  - 电价：0.6 元/kWh
  - 光伏支架：固定式
  - 是否优化倾角和方位角：是
- **输出结果**：
  - 组件名称：TWMND-72HD580
  - 倾角：32.00° | 方位角：60.00°
  - 阵列间距：5.57 米
  - 单个组件最大功率（Wp）：580
  - 装机容量：696.00 kW
  - 峰值日照小时数：4.10 小时/天
  - 一天单个组件发电量：2 kWh
  - 年发电量：33,251 kWh
  - 等效小时数：1197 小时
  - **环境收益**：
    - 标准煤减排量：3 kg
    - CO₂减排量：8 kg
    - SO₂减排量：0 kg
    - NOx减排量：0 kg
  - 内部收益率 IRR：23.00%

- **解释说明**：
  -两个代码执行看文件夹中的说明（根据需要使用）。倾角和峰值日照时数不同。
  - 组件名称：从 `pv_product.xlsx` 中获取
  - 光伏支架：分为固定式和跟踪式
  - 是否优化：如果优化，则按照 `倾角_峰值小时数.xlsx` 中的数据
  - 固定式/跟踪式 + 优化/不优化可以随意组合
  - 光伏个数：暂时按照默认值 1200（区域内可安装光伏个数），后续韩耀朋优化

---

### 【Wind文件夹】

#### **temperature.txt**
- 某地区12个月份的平均气温（后续需要替换为实际温度）

#### **wind_product.xlsx**
- 含有风机设备信息，例如设备名称、额定功率、叶轮直径、扫风面积和轮毂高度等

#### **wind_speed.txt**
- 某地区12个月的平均风速（后续需要替换为实际风速）

#### **wind_total.py**
- **风机相关封装函数**：
  - **注意**：
    - 需要输入：设备名称、风电场面积（后续可替换为预测值）、当地电价
  - **示例**：
    - 输入：
      - 请输入设备名称: GWH191-4.0
      - 请输入风电场面积（平方公里）: 10
      - 请输入电价（元/kWh）: 0.6
    - 输出：
      - 找到设备 'GWH191-4.0'，额定功率: 4.0 MW, 扫风面积: 28652 m², 叶片直径: 191 米
      - 单台风机占地面积: 1,824,050 平方米 (横向间距: 955 米, 纵向间距: 1910 米)
      - 估算风机数量: 5 台
      - 设备: GWH191-4.0
      - 额定功率: 4.00 MW
      - 扫风面积: 28652.00 m^2
      - 叶片直径: 191.00 m
      - 风机数量: 5 台
      - 平均空气密度: 1.205 kg/m^3
      - 风功率密度: 63.93 W/m^2
      - 项目装机容量: 20.00 MW
      - 年发电量: 2888.404 万 kWh
      - 等效小时数: 7221.01 小时
      - 内部收益率 IRR: 18.70%